Bug 592725 - crash when deleting four or more files
Summary: crash when deleting four or more files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vifm   
(Show other bugs)
Version: 14
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-16 14:47 UTC by David Tardon
Modified: 2011-06-25 03:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-25 03:10:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix the crash (2.41 KB, patch)
2010-05-16 14:48 UTC, David Tardon
no flags Details | Diff
scrap some boilerplate code from yank_files (1.15 KB, patch)
2010-05-16 14:50 UTC, David Tardon
no flags Details | Diff
valgrind log (9.73 KB, application/octet-stream)
2010-05-16 14:52 UTC, David Tardon
no flags Details

Description David Tardon 2010-05-16 14:47:24 UTC
Description of problem:
When removing more than 4 files using count and dd command, it's aborted by glibc (presumably double free error).

Version-Release number of selected component (if applicable):
vifm-0.5-3.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. 4dd

Additional info:
view->selected_files is not updated in main_key_press_cb, so when get_all_selected_files is called later, it allocates view->selected_filelist as one-item array. That of course causes problems when it later writes at higher indexes in the array .-)

Comment 1 David Tardon 2010-05-16 14:48:02 UTC
Created attachment 414360 [details]
fix the crash

Comment 2 David Tardon 2010-05-16 14:50:36 UTC
Created attachment 414361 [details]
scrap some boilerplate code from yank_files

While I was at it, I moved some common code of delete_files and yank_files off. I haven't looked, but I suppose it might be useful elsewhere too.

Comment 3 David Tardon 2010-05-16 14:52:25 UTC
Created attachment 414362 [details]
valgrind log

Comment 4 Fedora Update System 2010-06-19 14:53:31 UTC
vifm-0.5-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vifm-0.5-4.fc11

Comment 5 Fedora Update System 2010-06-21 21:46:33 UTC
vifm-0.5-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vifm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/vifm-0.5-4.fc11

Comment 6 David Tardon 2010-06-22 08:16:19 UTC
works fine in vifm-0.5-4.fc14

Comment 7 Fedora Update System 2010-06-22 18:39:28 UTC
vifm-0.5-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/vifm-0.5-4.fc12

Comment 8 Fedora Update System 2010-06-22 18:42:53 UTC
vifm-0.5-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/vifm-0.5-4.fc13

Comment 9 Pierre Dorbais 2010-06-22 20:37:11 UTC
Thank you David

Comment 10 Fedora Update System 2010-06-23 17:40:59 UTC
vifm-0.5-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vifm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/vifm-0.5-4.fc13

Comment 11 Fedora Update System 2010-06-23 17:41:31 UTC
vifm-0.5-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vifm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/vifm-0.5-4.fc12

Comment 12 Bug Zapper 2010-07-30 11:38:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Fedora Admin XMLRPC Client 2011-06-21 06:12:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Ben Boeckel 2011-06-25 03:10:31 UTC
It's been pushed...not sure why bodhi didn't close the bug. Feel free reopen if I'm missing something.


Note You need to log in before you can comment on or make changes to this bug.